Vulnerabilità: CVE-2019-10773

In filato prima 1.21.1, il pacchetto di installazione funzionalità può essere sfruttata per generare collegamenti simbolici arbitrari sul filesystem host utilizzando i tasti ""bin"" appositamente predisposti. I file esistenti potrebbero essere sovrascritti a seconda del set di autorizzazioni dell’utente corrente.


https://github.com/yarnpkg/yarn/issues/7761#issuecomment-565493023
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/3HIZW4NZVV5QY5WWGW2JRP3FHYKZ6ZJ5/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/ITY5BC63CCC647DFNUQRQ5AJDKUKUNBI/
https://blog.daniel-ruf.de/critical-design-flaw-npm-pnpm-yarn/
https://github.com/yarnpkg/yarn/commit/039bafd74b7b1a88a53a54f8fa6fa872615e90e7
https://snyk.io/vuln/SNYK-JS-YARN-537806
https://access.redhat.com/errata/RHSA-2020:0475
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10773


E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi